Bug 1788956 - file /usr/include/maxminddb_config.h from install of libmaxminddb-devel-1.2.0-6.el8.i686 conflicts with file from package libmaxminddb-devel-1.2.0-6.el8.x86_64
Summary: file /usr/include/maxminddb_config.h from install of libmaxminddb-devel-1.2.0...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: libmaxminddb
Version: 8.2
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: 8.0
Assignee: Michal Ruprich
QA Contact: kzilkova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-08 13:09 UTC by Ondrej Mejzlik
Modified: 2020-11-09 07:42 UTC (History)
5 users (show)

Fixed In Version: libmaxminddb-1.2.0-7.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 16:04:33 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:1740 None None None 2020-04-28 16:04:34 UTC

Comment 3 Petr Menšík 2020-01-08 16:02:54 UTC
I have rechecked installed includes. Unlike other similar bind-lite-devel dependencies, libmaxminddb-devel is not required by any public headers. That means it should not be Required by bind-lite-devel package.

Removed it in Fedora [1], would be possible solution on RHEL as well. Would work as workaround to this issue, it should still be fixed in libmaxminddb.

1. https://src.fedoraproject.org/rpms/bind/c/c23c15d73b4f88af53ee2d014b3e832e37c5cdd4?branch=master

Comment 11 errata-xmlrpc 2020-04-28 16:04:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1740


Note You need to log in before you can comment on or make changes to this bug.